package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "sales_salary_record")
public class SalesSalaryRecordTable extends BaseTable {

    private Long salesId;

    private Float amount;

    private String salesNo;

    /**
     * 1:工资
     * 2:人工处理
     * 3:出金
     */
    private Integer recordType;
    /**
     * 操作类型
     * 1：增加
     * 2: 减少
     */
    private Integer operateType;

    private Long salaryLogin;

    private String serial;

    private Integer status;

    public static SalesSalaryRecordTable getInstance() {
        SalesSalaryRecordTable table = new SalesSalaryRecordTable();
        table.setAmount(0F);
        table.setStatus(2);
        return table;
    }

}
